Bug 140697 - X -configure picks wrong mouse device trashes console display
X -configure picks wrong mouse device trashes console display
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 05:03 EST by taj
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 15:27:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org (Old) 1567 None None None Never

  None (edit)
Description taj 2004-11-24 05:03:03 EST
Looks like the rodent moved but xorg didnt.

yum update fc-devel xorg-x11-6.8.1-12.FC3.1
fairly complete update save Xchat, ooffice.org and their missing deps.  running
fc-devel kernel-2.6.9-1.650_devel.  Thinkpad 600x (the gods gift to acpi/apm)
neomagic, ps/2 pointer.

X -configure failes to detect mouse.

resulting in:


(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/mouse"
(EE) xf86OpenSerial: Cannot open device /dev/mouse
        No such file or directory.
(EE) Mouse0: cannot open input device
...
(II) XINPUT: Adding extended input device "Keyboard0" (type: KEYBOARD)
No core pointer

Fatal server error:
failed to initialize core devices
...
FatalError re-entered, aborting
Caught signal 11.  Server aborting


xorg.conf from X -configure

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "auto"
        Option      "Device" "/dev/mouse"
EndSection


This should be

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "auto"
        Option      "Device" "/dev/input/mice"
EndSection

running mouseconfig makes no changes (even if the file
is corrected).

The incorrect config results in X trashing the display and keyboard input which
I see was reported upstream as instructed.  The machine will appear dead to new
users on run level 5.

/etc/sysconfig/mouse
FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="imps2"
XEMU3="no"
XMOUSETYPE="IMPS/2"
DEVICE=/dev/input/mice

Expected results are working X11 with the annoying Red Hat start icon.
Comment 1 Mike A. Harris 2004-11-24 08:56:55 EST
The proper way to configure the X server in Fedora Core, is by running:

        system-config-display --reconfig

and for the mouse, to run:

        system-config-mouse


Once you have run the above commands, your X server should be properly
configured.  If it is not, please file a bug report against the proper
system-config-* component for us to investigate.

We do not support configuration of the X server via the -configure
commandline switch, however you can file a bug report in X.Org bugzilla
at http://bugs.freedesktop.org in the "xorg" component if you would
like the X.Org developers to investigate and potentially address that
issue in a future X.Org release.

Hope this helps.

Setting status to "WONTFIX", as our supported configuration tool
properly configures the mouse.
Comment 2 taj 2004-11-24 09:47:30 EST

For X11 -configure, filed https://bugs.freedesktop.org/show_bug.cgi?id=1915
For system-config*  filed https://bugzilla.redhat.com/beta/show_bug.cgi?id=140722

Comment 3 Mike A. Harris 2004-11-29 15:27:12 EST
Thanks for the URLs taj.

Setting status to "UPSTREAM" for tracking.
Comment 4 taj 2004-12-10 15:41:19 EST
Just an observation.

Now with xorg-x11-6.8.1-22.i386.rpm

The observed behavior of the X server is not just mouse configuration
specific.

While not using xfs, I moved out some of the required font
directories.  X11 starts, changes video modes and then exits leaving
the video and keyboard input in unusable states.

Correcting the directories via ssh and starting the server does work
but when the server is shut down, the video/keyboard input is again in
a bad state.  Still on tty7?


This is wrong behavior to me.  X11 used to come back to the tty in a
sane fashion so you could see what went wrong.

Note You need to log in before you can comment on or make changes to this bug.